Subject: Re: getting pkgsrc to PREFER_NATIVE
To: Anthony de Almeida Lopes <>
From: Jeremy C. Reed <>
List: tech-pkg
Date: 07/16/2004 05:40:06
On Fri, 16 Jul 2004, Anthony de Almeida Lopes wrote:


PREFER_* is used by in the system.

You can not use it to choose the "perl" you want.

> i have the same version of perl that pkgsrc is trying into install but in
> /usr.
> i really don't pkgsrc duplicating packages i already have installed, is
> there another way to deal with this?

Sorry, we don't support using native perl as the pkgsrc perl.

This was discussed on tech-pkg in the "pkg_install/libnbcompat on OpenBSD"
thread in September 2003. (We need a pkgsrc FAQ.)

 Jeremy C. Reed

 	  	 	 technical support & remote administration